import http from 'k6/http';
import { sleep } from 'k6';
import { Rate, Counter, Gauge, Trend } from 'k6/metrics';

const successRate = new Rate('success_rate');
const failureCount = new Counter('failures');
const lastStatusCode = new Gauge('status_code');
const responseTime = new Trend('response_time', true);

export const options = {
  scenarios: {
    ramp_to_current: {},
    maintain_current: {},
    ramp_to_expected: {},
    maintain_expected: {},
  },
  thresholds: {},
};

/**
 * This is the test case that should be executed.
 *
 * @param {any} data the data returned by setup
 */
export default function makeAPIRequest(data) {

}
